<script>
  import CandidateEditInfos from "@components/candidate/candidate-edit-infos";
  import EditMySocialsNetwork from "@components/user/edit-my-socials-network";
  import EditMySkills from "@components/candidate/edit-my-skills";
  import EditMyExpectations from "@components/candidate/expectation/edit-my-expectations";

  export default {
    name: "candidate-edit-btn",
    components: { EditMySkills, EditMySocialsNetwork, CandidateEditInfos, EditMyExpectations },
    props : {
      candidate : null,
    },
    methods: {
      clickPersonalInfo() {
        this.$bvModal.hide('bv-edit-profil')
        this.$bvModal.show('bv-edit-personal-infos')
      },
      clickSocialNetwork() {
        this.$bvModal.hide('bv-edit-profil')
        this.$bvModal.show('bv-edit-social-network')
      },
      clickSkillsInfo() {
        this.$bvModal.hide('bv-edit-profil')
        this.$bvModal.show('bv-edit-skills')
      },
      clickLookingForCompany() {
        this.$bvModal.hide('bv-edit-profil')
        this.$bvModal.show('bv-edit-looking-for-company')
      },
      afterUpdate(data) {
        this.$bvToast.toast(data.message, {title: 'Succès'})
        this.$bvModal.hide(data.modal)
      },
    }
  }
</script>

<template>
  <div>
    <b-button class="text-center" @click="$bvModal.show('bv-edit-profil')" variant="primary">Modifier mon profil</b-button>
    <b-modal id="bv-edit-profil" centered hide-footer>
      <template #modal-title>Gérer mes informations</template>
      <div class="text-center">
        <p><b-button variant="primary" @click="clickPersonalInfo">Modifier mes information personnelles</b-button></p>
        <p><b-button variant="primary" @click="clickLookingForCompany">Modifier ce que je recherche dans une entreprise</b-button></p>
        <p><b-button variant="primary" @click="clickSkillsInfo">Modifier mes compétences</b-button></p>
        <p><b-button variant="primary" @click="clickSocialNetwork">Modifier mes réseaux sociaux</b-button></p>
      </div>
    </b-modal>
    <b-modal id="bv-edit-personal-infos" centered size="lg" hide-footer>
      <template #modal-title>Mes informations personnelles</template>
      <div class="text-center">
        <candidate-edit-infos v-if="candidate" :candidate="candidate" @updated="afterUpdate"></candidate-edit-infos>
      </div>
    </b-modal>
    <b-modal id="bv-edit-skills" centered size="lg" hide-footer>
      <template #modal-title>Mes compétences</template>
      <div class="text-center">
        <edit-my-skills v-if="candidate" :candidate="candidate" @updated="afterUpdate"></edit-my-skills>
      </div>
    </b-modal>
    <b-modal id="bv-edit-social-network" centered size="lg" hide-footer>
      <template #modal-title>Mes réseaux sociaux</template>
      <div class="text-center">
        <edit-my-socials-network v-if="candidate" :user="candidate" @updated="afterUpdate"></edit-my-socials-network>
      </div>
    </b-modal>
    <b-modal id="bv-edit-looking-for-company" centered size="lg" hide-footer>
      <template #modal-title>Ce que je recherche dans une entreprise</template>
      <edit-my-expectations v-if="candidate" :candidate="candidate" @updated="afterUpdate"></edit-my-expectations>
    </b-modal>
  </div>
</template>
